import sys
sys.path.append('/usr/share/kylin-ai-python-env/python_module/')  # 如果不在当前目录

import libparser_extension
from .base_parser import BaseParser


class OfficeParser(BaseParser):
    def __init__(self) -> None:
        self.object = libparser_extension.ParserExtension()
    def parser(self, file_path) -> str:
        """
        解析.doc .wps .ppt文件
        """
        result = self.object.parserOffice(file_path)
        content = result.split('\r')
        return content


if __name__ == "__main__":
    parser = OfficeParser()
    result = parser.parser('/home/kylin/wangyan/可信设计方法.ppt')
    print(result)